local addonName, vars = ...

-- uncomment one of the following to set modifier to allow tab dragging
local overrideModifier = 
   IsShiftKeyDown
-- IsModifierKeyDown
-- IsAltKeyDown
-- IsControlKeyDown
-- nil -- disable modifier

-- disable drag-to-undock for chat window tabs
for i=1,10 do
   local chatFrame = _G["ChatFrame"..i];
   if chatFrame and chatFrame ~= DEFAULT_CHAT_FRAME then
      local tab = _G["ChatFrame"..i.."Tab"];
      if tab then
         local fn = tab:GetScript("OnDragStart")
         tab:SetScript("OnDragStart", function(self)
               if not chatFrame.isDocked or (overrideModifier and overrideModifier()) then
                  fn(self)
               end
         end)
      end
   end
end


